---
title: Plugin
---

### Plugin

The GitLab extension comes with a pre-configured `plugin` interact with GitLab's v1.1 API "GET" endpoints.


#### Configuring

Before you can leverage this plugin you need to head to `Settings > Extensions > GitLab Extension` and enter your API credentials from [https://developer.gitlab.com/en/apps](https://developer.gitlab.com/en/apps).


#### Getting Started

You can start an API request and configure it by using the `gitlab` function and chaining options. The `gitlab` endpoint requires the desired endpoint as the one and only argument. Let's take a look at a similar example as demonstrated on the [connection](../connection) page:

    {% set recent = gitlab('statuses/user_timeline')
        .screenName('pyrocms')
        .excludeReplies(true)
        .includeRts(false)
        .cache(30)
        .count(10)
        .get()
    %}
    
    {% for tweet in recent %}
        <p>{{ tweet.text }}</p>
    {% endfor %}

For a closer look at what's inside the above return data use `dd` on the results:
 
    {{ dd(recent) }}
